﻿Imports Infragistics.Win.UltraWinTree
Imports System.IO

Public Class Form1

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Load some data into the tree and set the initial appearance
        Dim nod As UltraTreeNode = UltraTree1.Nodes.Add("Root", "Root")
        Dim nod2 As UltraTreeNode = nod.Nodes.Add("Root~First", "First")
        Dim nod3 As UltraTreeNode = nod2.Nodes.Add("Root~First~Select", "Select Statement")
        nod3.Tag = "Select * from MyTable"
        nod3 = nod2.Nodes.Add("Root~First~Insert", "Insert Statement")
        nod3.Tag = "Insert into MyTable Values(?, ?, ?)"
        nod3 = nod2.Nodes.Add("Root~First~Update", "Update Statement")
        nod3.Tag = "Update MyTable Set a='xxx', b='yyy'"
        nod3 = nod2.Nodes.Add("Root~First~Delete", "Delete Statement")
        nod3.Tag = "Delete from MyTable where a='xxx'"
        nod2 = nod.Nodes.Add("Root~Second", "Second")
        nod3 = nod2.Nodes.Add("Root~Second~Test1", "Test 1")
        nod3.Tag = "Test 1 data"
        nod3 = nod2.Nodes.Add("Root~Second~Test2", "Test 2")
        nod3.Tag = "Test 2 data"
        LoadAppStyle("Blue")
    End Sub

    Friend Sub LoadAppStyle(ByVal name As String)
        'Load the application StyleLibrary, or set to System Default
        Dim fs As New FileStream(Path.Combine(Application.StartupPath, name & ".isl"), FileMode.Open)
        Infragistics.Win.AppStyling.StyleManager.Load(fs)
        Dim ad As New Infragistics.Win.AppearanceData
        If fs IsNot Nothing Then fs.Close()
    End Sub

    Private Sub Tree_AfterActivate(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinTree.NodeEventArgs) Handles UltraTree1.AfterActivate
        'Display the text stored in the tag of this node
        If e.TreeNode Is Nothing OrElse e.TreeNode.Level <> 2 Then
            TextBox1.Text = ""
        Else
            TextBox1.Text = e.TreeNode.Tag
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Change the application appearance
        LoadAppStyle("Pink")
    End Sub

End Class
